Kerbal Space Program - Bug #393

Collision at almost zero speeds causing instant explosions (video included)
03/14/2013 02:12 PM - Xellith

Status: Closed Start date: 03/14/2013
Severity: Low % Done: 100%
Assignee:

Category: Physics

Target version:

Version: 0.18.4 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

| THINK this is a physics issue however Im not certain (hell what do | know). Sorry if | classified this incorrectly.

What happens:
Parts that touch each other (kerbals included) can spontaneously explode. (Says they collide)

How to reproduce:
Create a craft with a pod and a docking port plugged into a rocomax 64 fueltank. Uncouple the port. Instantly explodes.
Touch parts with other parts or kerbals at little to no speed and the thing touching the uncontrolled part will explode.

Notes:

This thread involves my issue; http:/forum.kerbalspaceprogram.com/showthread.php/44069-Exploding-parts
Video | made; http://www.youtube.com/watch?v=Sy-W7Fom4nA

Output logs; http://rapidshare.com/files/734314744/output%20files.rar

Workaround; debug hack to disable crash damage

Version: seems to go back as far as 17.0 (at least)

| think its something on my computer but Sal_vager said its likely a bug and to create this bug report.
Just updated my gfx card drivers and the problem persists so /shrug

History

#1 - 03/14/2013 03:56 PM - Anonymous
- Severity changed from High to Low

This does not seem like a high priority bug, but is a bug nonetheless

#2 - 03/17/2013 04:13 PM - Xellith

Appologies for setting it as the incorrect priority. Not entirely certain what constitutes high/low etc. Anyhow - the problem persists into 0.19. Figured
that was relevant.

#3 - 03/24/2013 07:25 AM - sal_vager

- Status changed from New to Confirmed
- % Done changed from 0 to 10

- Platform Windows added

| have seen this also in the Linux release, on Ubuntu 12.10

This is a physics issue with parts of large mass differences, the mass of the Jumbo-64 is being taken into account when a part collides with it, even
when stationary.

The greater the difference in relative mass, the more likely the smaller part will be destroyed.

This requires a rewrite of the physics code to fix.

#4 - 10/25/2013 05:57 PM - sr
http://forum.kerbalspaceprogram.com/showthread.php/44069-Exploding-parts
http://www.youtube.com/watch?v=Sy-W7Fom4nA
http://rapidshare.com/files/734314744/output%20files.rar

- Platform Any added
- Platform deleted (Windows)

I've tried reproducing this issue under 0.22, and so far I'm failing. Could you please check if it is still happening in 0.22, or if it may have been
ninja-fixed?

#5 - 10/26/2013 02:27 AM - Anonymous

Not exactly ninja-fixed, per version history, but not exactly announced loudly either:

http://wiki.kerbalspaceprogram.com/wiki/Version_History#v0.20.1

e Tweaked the logic for part-to-part collisions. Things should be much less likely to explode on contact.

#6 - 10/27/2013 01:37 PM - Xellith

| just threw my kerbals at some parts for about 15 mins. So far Jeb is still alive. :)

#7 - 11/19/2013 12:44 PM - sr
- Status changed from Confirmed to Closed

- % Done changed from 10 to 100

Closing the issue, assuming fixed. Thanks for re-checking :)
